BinFunctions1D (Colt 1.2.0 - API Specification)
Keywords: hep.aida.bin.BinFunctions1D class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hep.aida.bin
Class BinFunctions1D

    java.lang.Object
      hep.aida.bin.BinFunctions1D

public class BinFunctions1D
extends Object

Function objects computing dynamic bin aggregations; to be passed to generic methods.

Version:
  1.0, 09/24/99
See Also:
  `Formatter`, `Statistic`

Field Summary
`static BinFunctions1D` | `functions` Little trick to allow for "aliasing", that is, renaming this class.
`static BinFunction1D` | `geometricMean` Function that returns `bin.geometricMean()`.
`static BinFunction1D` | `max` Function that returns `bin.max()`.
`static BinFunction1D` | `mean` Function that returns `bin.mean()`.
`static BinFunction1D` | `median` Function that returns `bin.median()`.
`static BinFunction1D` | `min` Function that returns `bin.min()`.
`static BinFunction1D` | `rms` Function that returns `bin.rms()`.
`static BinFunction1D` | `size` Function that returns `bin.size()`.
`static BinFunction1D` | `stdDev` Function that returns `bin.standardDeviation()`.
`static BinFunction1D` | `sum` Function that returns `bin.sum()`.
`static BinFunction1D` | `sumLog` Function that returns `bin.sumOfLogarithms()`.

Method Summary
`static BinFunction1D` | `quantile(double percentage)` Function that returns `bin.quantile(percentage)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### functions

    public static final BinFunctions1D functions

  Little trick to allow for "aliasing", that is, renaming this class. Using the aliasing you can instead write

  `BinFunctions F = BinFunctions.functions;
  someAlgo(F.max);`

### max

    public static final BinFunction1D max

  Function that returns `bin.max()`.

### mean

    public static final BinFunction1D mean

  Function that returns `bin.mean()`.

### median

    public static final BinFunction1D median

  Function that returns `bin.median()`.

### min

    public static final BinFunction1D min

  Function that returns `bin.min()`.

### rms

    public static final BinFunction1D rms

  Function that returns `bin.rms()`.

### size

    public static final BinFunction1D size

  Function that returns `bin.size()`.

### stdDev

    public static final BinFunction1D stdDev

  Function that returns `bin.standardDeviation()`.

### sum

    public static final BinFunction1D sum

  Function that returns `bin.sum()`.

### sumLog

    public static final BinFunction1D sumLog

  Function that returns `bin.sumOfLogarithms()`.

### geometricMean

    public static final BinFunction1D geometricMean

  Function that returns `bin.geometricMean()`.

Method Detail

### quantile

    public static BinFunction1D quantile(double percentage)

  Function that returns `bin.quantile(percentage)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage